import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const TagRemovable: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        text: PropTypes.Requireable<string>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        text: string;
        onClick: undefined;
    };
};
export default TagRemovable;
